com.unitech.lib.pogo

## Class PogoCtrl

- java.lang.Object
- - com.unitech.lib.pogo.PogoCtrl

-     public class PogoCtrl
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUNDLE_ERROR_CODE`
    `static java.lang.String` | `BUNDLE_ERROR_MSG`
    `static java.lang.String` | `BUNDLE_GUN_STATUS`
    `static java.lang.String` | `BUNDLE_UART_PATH`
    `static int` | `RESULT_CODE_ERROR`
    `static int` | `RESULT_CODE_SUCCESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bundle` | `clockOff()` UART high speed Clock turn Off
    `Bundle` | `clockOn()` UART high speed Clock turn ON
    `Bundle` | `getGunStatus()`
    `static PogoCtrl` | `getInstance(Context context)` Instantiates a new Pogo ctrl object.
    `Bundle` | `getUartPath()`
    `Bundle` | `powerOff()` The power of POGO turn Off
    `Bundle` | `powerOn()` The power of POGO turn ON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUNDLE_ERROR_CODE

          public static final java.lang.String BUNDLE_ERROR_CODE

      See Also:
        Constant Field Values

    - #### BUNDLE_ERROR_MSG

          public static final java.lang.String BUNDLE_ERROR_MSG

      See Also:
        Constant Field Values

    - #### BUNDLE_UART_PATH

          public static final java.lang.String BUNDLE_UART_PATH

      See Also:
        Constant Field Values

    - #### BUNDLE_GUN_STATUS

          public static final java.lang.String BUNDLE_GUN_STATUS

      See Also:
        Constant Field Values

    - #### RESULT_CODE_ERROR

          public static final int RESULT_CODE_ERROR

      See Also:
        Constant Field Values

    - #### RESULT_CODE_SUCCESS

          public static final int RESULT_CODE_SUCCESS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static PogoCtrl getInstance(Context context)
                                      throws java.lang.Exception

      Instantiates a new Pogo ctrl object.
      Parameters:
        `context` - the context
      Throws:
        `java.lang.Exception`

    - #### powerOn

          public Bundle powerOn()

      The power of POGO turn ON

    - #### powerOff

          public Bundle powerOff()

      The power of POGO turn Off

    - #### clockOn

          public Bundle clockOn()

      UART high speed Clock turn ON

    - #### clockOff

          public Bundle clockOff()

      UART high speed Clock turn Off

    - #### getUartPath

          public Bundle getUartPath()

    - #### getGunStatus

          public Bundle getGunStatus()